SOCKD(8)

NAME
sockd - network proxyserver

SYNOPSIS
sockd [-DLVdhnv] [-N number] [-f file] [-p file]

DESCRIPTION
Dante implements the socks standard and can function as a firewall between networks.

Dante relays TCP and UDP both from outside the network and in, and from inside and out.

The options are as follows:

-D  Dante will detach from the controlling terminal and run in the background as a system daemon.

-L  Displays the license Dante comes under.

-Nnumber
    Dante will fork of number "main servers" when starting. This can be used for servers that are extremely busy, or to provide a (very) poor mans redundancy setup, as Dante will try to make these "main servers" as independent of each others as possible.

-V  Verifies config file and exits.

-dnumber
    Sets the level of debugging, zero to disable.

-ffile
    Dante will read its configuration from file.

-h  Shows the currently valid options.

-n  Disables TCP keep-alive messages. Normally Dante enables TCP keep-alive messages so that connections from machines that have crashed or for other reasons no longer can be reached time out. Note that this can take several hours. See also the "timeout" option in sockd.conf(5).

-pfile
    Dante will write the pid of the main process to this file. file.

-v  Displays Dante version.

SIGNALS

SIGHUP
    Reload the configuration file. Will also reopen logfiles.

SIGINFO/SIGUSR1
    Print some information about the servers current state and clients.

ENVIRONMENT

TMPDIR
    Use TMPDIR for temporary files. Dante will use this directory for lockfiles and memory-mapped files. It is recommended that TMPDIR be set to a (local) filesystem with low latency. The directory should have read/write/execute permission by both the privileged and unprivileged userid (as specified in /etc/sockd.conf), but no other non-privileged users.

FILES

/etc/sockd.conf
    Dante server configuration file.

AUTHORS
For inferno Nettverk A/S:
   Michael Shuldman
   Karl-Andre' Skevik

SEE ALSO
socks.conf(5), sockd.conf(5)

Information about new releases and other related issues can be found on the Dante WWW home page: http://www.inet.no/dante/

BUGS
See the accompanying BUGS file. New ones should be reported to dante-bugs@inet.no.